#ifndef _SPRING_H_
#define _SPRING_H_

#include "vec.h"
#include <vector>

class Spring{
public:
	double stiffness;  ///< raideur
	double initLength;  ///< longueur au repos
	double damping;  ///< facteur d'amortissement
	
	int obj1;  ///< indice du premier objet
	int obj2;  ///< indice du deuxime objet
	
	/// Constructeur avec indices des objets concerns, raideur, longueur au repos et facteur d'amortissement
	Spring( int o1, int o2, double s, double l, double d );
	
	/// Applique la force aux particules concernes en fonction des positions et des vitesses.
	void addForce( std::vector<Vec>& forces, const std::vector<Vec>& positions, const std::vector<Vec>& velocities );	
};

#endif // _SPRING_H_
